Release conversation
curl --request POST \
--url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}/release \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reason": "The conversation is over"
}
'import requests
url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}/release"
payload = { "reason": "The conversation is over" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'The conversation is over'})
};
fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/conversations/{conversationId}/release', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Conversations API
Release conversation
Release a conversation: mark as released, remove external participants, move to RELEASED section.
POST
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
conversations
/
{conversationId}
/
release
Release conversation
Authorizations
Copy the API key as provided by the Bridge Console.
Path Parameters
Unique identifier of the workspace (UUID v4).
Example:
"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"
Unique identifier of the conversation (UUID v4).
Example:
"4e362e2b-67b2-4a7e-a9df-e9ecf9141be8"
Body
application/json
Body for POST release conversation. Optional reason.
Optional reason for releasing the conversation.
Example:
"The conversation is over"
Response
Successful Response
Was this page helpful?
⌘I